//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class PortalTiles
    {
        public PortalTiles()
        {
            this.PortalTileParams = new HashSet<PortalTileParams>();
            this.PortalTileUserGroups = new HashSet<PortalTileUserGroups>();
        }
    
        public int IdTile { get; set; }
        public string TileName { get; set; }
        public Nullable<int> IdSAPQuery { get; set; }
        public string NameSAPQuery { get; set; }
        public int IdTileType { get; set; }
        public string UrlPage { get; set; }
        public string HtmlText { get; set; }
        public int IdCompany { get; set; }
        public Nullable<short> VisualOrder { get; set; }
    
        public virtual CompanyConns CompanyConns { get; set; }
        public virtual ICollection<PortalTileParams> PortalTileParams { get; set; }
        public virtual PortalTileTypes PortalTileTypes { get; set; }
        public virtual ICollection<PortalTileUserGroups> PortalTileUserGroups { get; set; }
    }
}
